Subject: globbing feature in 17.1 when not under bash issue (bug)
From: [email-masked] (David Ellis)

21 Feb 1997 16:23:32 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

I don't remember where I read this, but I remember that a new
feature of 17.1 (possibly earlier) was to make globing work on
command lines if the program was not invoked under bash. Seems to me
that quoting of arguments was overlooked. Here is the test case

  find . -name '*.doc'

Works great under bash but does a glob under cmd.exe and comes up
with an effective comand line like:
  find . -name barf.doc two.doc more.doc

which is not very valid for find syntax.

<hope this is not a repeat>
<please add me to the mailing list>

   David Ellis  [email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".